Package weka.core.pmml.jaxbbindings

# Class AnovaRow

java.lang.Object
weka.core.pmml.jaxbbindings.AnovaRow

public class AnovaRow extends Object

Java class for AnovaRow element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="AnovaRow">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="degreesOfFreedom" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="fValue" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="meanOfSquares" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="pValue" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
             <attribute name="sumOfSquares" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="type" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="Model"/>
                   <enumeration value="Error"/>
                   <enumeration value="Total"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnovaRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getDegreesOfFreedom()`
  Gets the value of the degreesOfFreedom property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `Double`
  `getFValue()`
  Gets the value of the fValue property.
  `Double`
  `getMeanOfSquares()`
  Gets the value of the meanOfSquares property.
  `BigDecimal`
  `getPValue()`
  Gets the value of the pValue property.
  `double`
  `getSumOfSquares()`
  Gets the value of the sumOfSquares property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setDegreesOfFreedom(double value)`
  Sets the value of the degreesOfFreedom property.
  `void`
  `setFValue(Double value)`
  Sets the value of the fValue property.
  `void`
  `setMeanOfSquares(Double value)`
  Sets the value of the meanOfSquares property.
  `void`
  `setPValue(BigDecimal value)`
  Sets the value of the pValue property.
  `void`
  `setSumOfSquares(double value)`
  Sets the value of the sumOfSquares property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnovaRow

    public AnovaRow()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getDegreesOfFreedom

    public double getDegreesOfFreedom()
    Gets the value of the degreesOfFreedom property.

  - ### setDegreesOfFreedom

    public void setDegreesOfFreedom(double value)
    Sets the value of the degreesOfFreedom property.

  - ### getFValue

    public Double getFValue()
    Gets the value of the fValue property.
    Returns:
      possible object is `Double`

  - ### setFValue

    public void setFValue(Double value)
    Sets the value of the fValue property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMeanOfSquares

    public Double getMeanOfSquares()
    Gets the value of the meanOfSquares property.
    Returns:
      possible object is `Double`

  - ### setMeanOfSquares

    public void setMeanOfSquares(Double value)
    Sets the value of the meanOfSquares property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getPValue

    public BigDecimal getPValue()
    Gets the value of the pValue property.
    Returns:
      possible object is `BigDecimal`

  - ### setPValue

    public void setPValue(BigDecimal value)
    Sets the value of the pValue property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### getSumOfSquares

    public double getSumOfSquares()
    Gets the value of the sumOfSquares property.

  - ### setSumOfSquares

    public void setSumOfSquares(double value)
    Sets the value of the sumOfSquares property.

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`